<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SignatureSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SignatureSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/plugins/signing/SigningExtension.html" title="class in org.gradle.plugins.signing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugins/signing/SignatureSpec.html" target="_top">Frames</a></li>
<li><a href="SignatureSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.signing</div>
<h2 title="Interface SignatureSpec" class="title">Interface SignatureSpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/gradle/plugins/signing/Sign.html" title="class in org.gradle.plugins.signing">Sign</a>, <a href="../../../../org/gradle/plugins/signing/SignOperation.html" title="class in org.gradle.plugins.signing">SignOperation</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">SignatureSpec</span></pre>
<div class="block">Specifies how objects will be signed.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#getSignatory()">getSignatory</a></strong>()</code>
<div class="block">The signatory that will be performing the signing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#getSignatureType()">getSignatureType</a></strong>()</code>
<div class="block">The signature representation that will be created.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#isRequired()">isRequired</a></strong>()</code>
<div class="block">Whether or not it is required that this signature be generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setRequired(boolean)">setRequired</a></strong>(boolean&nbsp;required)</code>
<div class="block">Whether or not it is required that this signature be generated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setSignatory(org.gradle.plugins.signing.signatory.Signatory)">setSignatory</a></strong>(<a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory)</code>
<div class="block">Sets the signatory that will be signing the input.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setSignatureType(org.gradle.plugins.signing.type.SignatureType)">setSignatureType</a></strong>(<a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;type)</code>
<div class="block">Sets the signature representation that the signatures will be produced as.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSignatory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatory</h4>
<pre><a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;getSignatory()</pre>
<div class="block">The signatory that will be performing the signing.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the signatory, or <code>null</code> if none specified.</dd></dl>
</li>
</ul>
<a name="setSignatory(org.gradle.plugins.signing.signatory.Signatory)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatory</h4>
<pre>void&nbsp;setSignatory(<a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory)</pre>
<div class="block">Sets the signatory that will be signing the input.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>signatory</code> - The signatory</dd></dl>
</li>
</ul>
<a name="getSignatureType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureType</h4>
<pre><a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;getSignatureType()</pre>
<div class="block">The signature representation that will be created.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the signature type, or <code>null</code> if none specified.</dd></dl>
</li>
</ul>
<a name="setSignatureType(org.gradle.plugins.signing.type.SignatureType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureType</h4>
<pre>void&nbsp;setSignatureType(<a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;type)</pre>
<div class="block">Sets the signature representation that the signatures will be produced as.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the signature type to use</dd></dl>
</li>
</ul>
<a name="isRequired()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRequired</h4>
<pre>boolean&nbsp;isRequired()</pre>
<div class="block">Whether or not it is required that this signature be generated.

 A signature may not be able to be generated if a signatory and/or a signature type have not been specified. If it is required and cannot be generated, an exception will be thrown. Otherwise, it
 will not be generated.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>Whether or not it is required that this signature be generated.</dd></dl>
</li>
</ul>
<a name="setRequired(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setRequired</h4>
<pre>void&nbsp;setRequired(boolean&nbsp;required)</pre>
<div class="block">Whether or not it is required that this signature be generated.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>required</code> - Whether or not it is required that this signature be generated.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#isRequired()"><code>isRequired()</code></a></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/plugins/signing/SigningExtension.html" title="class in org.gradle.plugins.signing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugins/signing/SignatureSpec.html" target="_top">Frames</a></li>
<li><a href="SignatureSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
